#
# spec file for package nfswatch
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nfswatch
Version:        4.99.11
Release:        lp150.1.2
Summary:        An NFS traffic monitoring tool
License:        BSD-2-Clause
Group:          Productivity/Networking/NFS
URL:            http://nfswatch.sourceforge.net
Source:         %{name}-%{version}.tar.gz
Patch0:			makefile.patch
BuildRequires:  libpcap-devel
BuildRequires:  ncurses-devel
%if 0%{?suse_version} >= 1500
BuildRequires:  libtirpc-devel
%endif

%description
Nfswatch is a command-line tool for monitoring NFS traffic.
Nfswatch can capture and analyze the NFS packets on a particular
network interface or on all interfaces.

%prep
%setup -q
%if 0%{?suse_version} >= 1500
%patch0 -p1
%endif

%build


make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make STRIP= DESTDIR=%{buildroot} install

%files
%license LICENSE
%doc README
%{_sbindir}/nfswatch
%{_sbindir}/nfslogsum
%{_mandir}/man8/*

%changelog
* Sat Mar 10 2018 plinnell@opensuse.org
- update to 4.9.11
- run spec-cleaner
- add makefile.patch to fix linking on TW/Leap 15
- README file converted to utf8
- Fix compile issues on Solaris and Linux alpha machines
- Add a ChangeLog file
- Add TODO note about broken strict aliasing rule
* Thu Dec  8 2011 coolo@suse.com
- fix license to be in spdx.org format
* Sun Jul 13 2008 mseben@suse.cz
- Initial package
